GNU bug report logs - #48343
Cannot boot after installation

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Sergey Petrov <sekk1e@HIDDEN>; dated Tue, 11 May 2021 08:00:02 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 48343 <at> debbugs.gnu.org:


Received: (at 48343) by debbugs.gnu.org; 12 May 2021 17:01:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 12 13:01:29 2021
Received: from localhost ([127.0.0.1]:40333 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lgsEi-00031E-Lv
	for submit <at> debbugs.gnu.org; Wed, 12 May 2021 13:01:29 -0400
Received: from forward101o.mail.yandex.net ([37.140.190.181]:51888)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sekk1e@HIDDEN>) id 1lgsEd-0002rW-D3
 for 48343 <at> debbugs.gnu.org; Wed, 12 May 2021 13:01:27 -0400
Received: from iva5-f187da138599.qloud-c.yandex.net
 (iva5-f187da138599.qloud-c.yandex.net
 [IPv6:2a02:6b8:c0c:812a:0:640:f187:da13])
 by forward101o.mail.yandex.net (Yandex) with ESMTP id 4A7553C017C5;
 Wed, 12 May 2021 20:01:16 +0300 (MSK)
Received: from iva8-174eb672ffa9.qloud-c.yandex.net
 (iva8-174eb672ffa9.qloud-c.yandex.net [2a02:6b8:c0c:b995:0:640:174e:b672])
 by iva5-f187da138599.qloud-c.yandex.net (mxback/Yandex) with ESMTP id
 T6fKJxXGeN-1FIK3nRd; Wed, 12 May 2021 20:01:16 +0300
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yandex.ru; s=mail;
 t=1620838876; bh=ftpyUoahhF7ktHmrb3NARLx3Tv42AAaMTJeMwfIdJ/g=;
 h=In-Reply-To:From:Date:References:To:Subject:Message-ID;
 b=avfP1zI2G66LrlIlaIp5Bs8bGY9Ed4BHV8ujgrsTSJd3iVFfadKLY4OF+4us2MHnC
 NQDqg5qjrdlysjxGdyAIhr8wX6k04Z+r0K79i2fhDX21dgmArwiXIvyP2vc61yV77O
 p8mV2kWVNmnDYGAADgv0WCvOBWFLBdRkBgL1swJo=
Authentication-Results: iva5-f187da138599.qloud-c.yandex.net;
 dkim=pass header.i=@yandex.ru
Received: by iva8-174eb672ffa9.qloud-c.yandex.net (smtp/Yandex) with ESMTPSA
 id KVZPtbcrJw-1FLqsn9B; Wed, 12 May 2021 20:01:15 +0300
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits))
 (Client certificate not present)
Subject: Re: Cannot boot after installation
To: Brendan Tildesley <btild@HIDDEN>,
 "48343 <at> debbugs.gnu.org" <48343 <at> debbugs.gnu.org>
References: <1979417313.259515.1620832627276@HIDDEN>
From: Sergey Petrov <sekk1e@HIDDEN>
Message-ID: <bde404b2-a75e-810f-96ee-5bc9cf029623@HIDDEN>
Date: Thu, 13 May 2021 00:01:14 +0700
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.8.1
MIME-Version: 1.0
In-Reply-To: <1979417313.259515.1620832627276@HIDDEN>
Content-Type: multipart/alternative;
 boundary="------------BBDAD1A9E2D78CF78E30C4ED"
Content-Language: en-US
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48343
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

This is a multi-part message in MIME format.
--------------BBDAD1A9E2D78CF78E30C4ED
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit

Hi Brendan! It works, I can proceed to system now, but terminal only, my 
WM (Enlightenment) cannot initialize. I think I can give a try to some 
other WMs and check how it goes.

On 5/12/21 10:17 PM, Brendan Tildesley wrote:
> If setting nomodeset is the answer, there is a trick you can use in 
> GRUB to set it before boot.
> Apparently in GRUB, you:
>
> 1. Press e
> 2. Edit the linux ... line to add nomodeset as an option
> 3. Press ctrl X
>
> I just found the instructions here 
> https://duckduckgo.com/?q=grub+nomode+set 
> <https://duckduckgo.com/?q=grub+nomode+set>
>
> At least give that a go and report back if it works.

--------------BBDAD1A9E2D78CF78E30C4ED
Content-Type: text/html; charset=utf-8
Content-Transfer-Encoding: 7bit

<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  </head>
  <body>
    <p>Hi Brendan! It works, I can proceed to system now, but terminal
      only, my WM (Enlightenment) cannot initialize. I think I can give
      a try to some other WMs and check how it goes.<br>
    </p>
    <div class="moz-cite-prefix">On 5/12/21 10:17 PM, Brendan Tildesley
      wrote:<br>
    </div>
    <blockquote type="cite"
      cite="mid:1979417313.259515.1620832627276@HIDDEN">
      <div style="" class="default-style"> If setting nomodeset is the
        answer, there is a trick you can use in GRUB to set it before
        boot. <br>
      </div>
      <div style="" class="default-style"> Apparently in GRUB, you: <br>
      </div>
      <div style="" class="default-style"> <br>
      </div>
      <div style="" class="default-style"> 1. Press e <br>
      </div>
      <div style="" class="default-style"> 2. Edit the linux ... line to
        add nomodeset as an option <br>
      </div>
      <div style="" class="default-style"> 3. Press ctrl X <br>
      </div>
      <div style="" class="default-style"> <br>
      </div>
      <div style="" class="default-style"> I just found the instructions
        here <a href="https://duckduckgo.com/?q=grub+nomode+set">https://duckduckgo.com/?q=grub+nomode+set</a>
        <br>
      </div>
      <div style="" class="default-style"> <br>
      </div>
      <div style="" class="default-style"> At least give that a go and
        report back if it works. <br>
      </div>
    </blockquote>
  </body>
</html>

--------------BBDAD1A9E2D78CF78E30C4ED--




Information forwarded to bug-guix@HIDDEN:
bug#48343; Package guix. Full text available.

Message received at 48343 <at> debbugs.gnu.org:


Received: (at 48343) by debbugs.gnu.org; 12 May 2021 15:17:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 12 11:17:24 2021
Received: from localhost ([127.0.0.1]:40074 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lgqbz-0002ue-UY
	for submit <at> debbugs.gnu.org; Wed, 12 May 2021 11:17:24 -0400
Received: from mout-p-102.mailbox.org ([80.241.56.152]:58366)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <btild@HIDDEN>) id 1lgqbw-0002uO-34
 for 48343 <at> debbugs.gnu.org; Wed, 12 May 2021 11:17:22 -0400
Received: from smtp2.mailbox.org (smtp2.mailbox.org [80.241.60.241])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-384) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 by mout-p-102.mailbox.org (Postfix) with ESMTPS id 4FgJLK5Vp3zQk35;
 Wed, 12 May 2021 17:17:13 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=mailbox.org; h=
 content-type:content-type:mime-version:subject:subject
 :message-id:from:from:date:date:received; s=mail20150812; t=
 1620832627; bh=PfcNDc7seKx2LQbrH9U5W+h7AOJ3ZCvIvGHE57GBmvU=; b=A
 9ftp8USsEYulD31G/ixxMZJv4c/ZHQInWXWjnyChgT7pL3nqRFtQHItgO7fWxPyE
 aRcpmvjmk5WC16z/b/FnJNp5y5R02xq5iCg4vVe3RAD4At5O05F+8BZuJBpg6a7z
 uh/W7voOle6ywGcJZPf0hM30xahgJ+Kbnk2/H/SXxk+cT7FBGe00zCwXAmdR5h1e
 BgBcH9429fQrw5KvRwpWqKFsk4QttfL9LcCQvjayrwlxzccacPGswrieNgd5W4b3
 1V9yR7NF0QLWw/HIXURrZTN6XbzSpfsSjGIllieEb6mmqlnbmI+G0zphjMpgAg+Q
 Ygf2mrK4EIKfYlPJwItKw==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=mailbox.org;
 s=mail20150812; t=1620832631;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type;
 bh=gRPtzx8lGFjKkychKU2J1toM8v010n75zul4UnQDWHI=;
 b=s3ZBbqGx5Tg6pSeKP1OVjW/XmwvBiEgIMVvSPTH+IJwBxR8+ysCHzYuiVnzfqru39p2m7d
 uRyiT+jsZ1+lqsz5BLJb7gJO8HqAFAID+i9F5MTI9HBZiy6Xsnjm2LWE2F7ty0TE7AIxO6
 tPBbryn2ejHuex3U+sx6xQb1Gv+CM3U8pWBISQA++xKTK9ElpF2l3XU9r+/ZEphNZsxIvg
 Fm+SsXnuy/foRBqT+ebEMHLs9gWbcQxTdAN91kLjUyF+ndui/Qyw1Wk4FlN99k1U5OwHPK
 gCrH1BoKXeSbankXJDau6e1Swchqcwct78/bYMxyY32yXR32eMlc2nGOYqJ4ew==
X-Virus-Scanned: amavisd-new at heinlein-support.de
Received: from smtp2.mailbox.org ([80.241.60.241])
 by spamfilter05.heinlein-hosting.de (spamfilter05.heinlein-hosting.de
 [80.241.56.123]) (amavisd-new, port 10030)
 with ESMTP id UPqDd7ZHYX1R; Wed, 12 May 2021 17:17:07 +0200 (CEST)
Date: Wed, 12 May 2021 17:17:07 +0200 (CEST)
From: Brendan Tildesley <btild@HIDDEN>
To: "48343 <at> debbugs.gnu.org" <48343 <at> debbugs.gnu.org>
Message-ID: <1979417313.259515.1620832627276@HIDDEN>
Subject: Cannot boot after installation
MIME-Version: 1.0
Content-Type: multipart/alternative; 
 boundary="----=_Part_259514_185513870.1620832627274"
X-Priority: 3
Importance: Normal
X-MBO-SPAM-Probability: 
X-Rspamd-Score: -0.31 / 15.00 / 15.00
X-Rspamd-Queue-Id: 757A817FC
X-Rspamd-UID: 0b616a
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48343
Cc: Sergey Petrov <sekk1e@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

------=_Part_259514_185513870.1620832627274
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit

If setting nomodeset is the answer, there is a trick you can use in GRUB to set it before boot.
Apparently in GRUB, you:

1. Press e
2. Edit the linux ... line to add nomodeset as an option
3. Press ctrl X

I just found the instructions here https://duckduckgo.com/?q=grub+nomode+set

At least give that a go and report back if it works.

------=_Part_259514_185513870.1620832627274
MIME-Version: 1.0
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: 7bit

<!doctype html>
<html>
 <head> 
  <meta charset="UTF-8"> 
 </head>
 <body>
  <div style="" class="default-style">
   If setting nomodeset is the answer, there is a trick you can use in GRUB to set it before boot.
   <br>
  </div>
  <div style="" class="default-style">
   Apparently in GRUB, you:
   <br>
  </div>
  <div style="" class="default-style">
   <br>
  </div>
  <div style="" class="default-style">
   1. Press e
   <br>
  </div>
  <div style="" class="default-style">
   2. Edit the linux ... line to add nomodeset as an option
   <br>
  </div>
  <div style="" class="default-style">
   3. Press ctrl X
   <br>
  </div>
  <div style="" class="default-style">
   <br>
  </div>
  <div style="" class="default-style">
   I just found the instructions here <a href="https://duckduckgo.com/?q=grub+nomode+set">https://duckduckgo.com/?q=grub+nomode+set</a>
   <br>
  </div>
  <div style="" class="default-style">
   <br>
  </div>
  <div style="" class="default-style">
   At least give that a go and report back if it works.
   <br>
  </div>
 </body>
</html>
------=_Part_259514_185513870.1620832627274--




Information forwarded to bug-guix@HIDDEN:
bug#48343; Package guix. Full text available.

Message received at 48343 <at> debbugs.gnu.org:


Received: (at 48343) by debbugs.gnu.org; 11 May 2021 21:24:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 11 17:24:23 2021
Received: from localhost ([127.0.0.1]:37671 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lgZrb-0006hn-Ch
	for submit <at> debbugs.gnu.org; Tue, 11 May 2021 17:24:23 -0400
Received: from eggs.gnu.org ([209.51.188.92]:38828)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1lgZrZ-0006ha-S8
 for 48343 <at> debbugs.gnu.org; Tue, 11 May 2021 17:24:22 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:38468)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1lgZrU-0005mG-IP; Tue, 11 May 2021 17:24:16 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=33450 helo=ribbon)
 by fencepost.gnu.org with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1lgZrT-0003Du-Fu; Tue, 11 May 2021 17:24:16 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Sergey Petrov <sekk1e@HIDDEN>
Subject: Re: bug#48343: Cannot boot after installation
References: <674973b5-c35e-5a4e-0f3f-de2f3b6e782d@HIDDEN>
 <87im3pfkjr.fsf@HIDDEN>
 <6042e78b-15ba-08d4-22e5-69290e8753c8@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 22 =?utf-8?Q?Flor=C3=A9al?= an 229 de la =?utf-8?Q?R?=
 =?utf-8?Q?=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Tue, 11 May 2021 23:24:14 +0200
In-Reply-To: <6042e78b-15ba-08d4-22e5-69290e8753c8@HIDDEN> (Sergey Petrov's
 message of "Tue, 11 May 2021 21:14:21 +0700")
Message-ID: <878s4lufpd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 48343
Cc: Bone Baboon <bone.baboon@HIDDEN>, 48343 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi Sergey,

Sergey Petrov <sekk1e@HIDDEN> skribis:

> Hm, I've added these lines to the etc/config.scm, tried to boot again
> and it doesn't seem to change anything...

Note that /etc/config.scm doesn=E2=80=99t have any effect in itself.  You n=
eed
to run =E2=80=98guix system reconfigure /etc/config.scm=E2=80=99 to deploy =
the changes
you made.

HTH,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#48343; Package guix. Full text available.

Message received at 48343 <at> debbugs.gnu.org:


Received: (at 48343) by debbugs.gnu.org; 11 May 2021 15:02:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 11 11:02:10 2021
Received: from localhost ([127.0.0.1]:37106 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lgTth-0001I1-FF
	for submit <at> debbugs.gnu.org; Tue, 11 May 2021 11:02:10 -0400
Received: from forward105p.mail.yandex.net ([77.88.28.108]:35570)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sekk1e@HIDDEN>) id 1lgT9Z-0006HN-OT
 for 48343 <at> debbugs.gnu.org; Tue, 11 May 2021 10:14:30 -0400
Received: from forward100q.mail.yandex.net (forward100q.mail.yandex.net
 [IPv6:2a02:6b8:c0e:4b:0:640:4012:bb97])
 by forward105p.mail.yandex.net (Yandex) with ESMTP id 399434D4008D;
 Tue, 11 May 2021 17:14:23 +0300 (MSK)
Received: from vla1-700fb1e46924.qloud-c.yandex.net
 (vla1-700fb1e46924.qloud-c.yandex.net
 [IPv6:2a02:6b8:c0d:1386:0:640:700f:b1e4])
 by forward100q.mail.yandex.net (Yandex) with ESMTP id 3441D7080004;
 Tue, 11 May 2021 17:14:23 +0300 (MSK)
Received: from vla1-1bc5b51c612f.qloud-c.yandex.net
 (vla1-1bc5b51c612f.qloud-c.yandex.net [2a02:6b8:c0d:89c:0:640:1bc5:b51c])
 by vla1-700fb1e46924.qloud-c.yandex.net (mxback/Yandex) with ESMTP id
 DAEVTm1lj1-EMI0h7Bc; Tue, 11 May 2021 17:14:23 +0300
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yandex.ru; s=mail;
 t=1620742463; bh=qr5sO7APWMldWe+HnTup/jEcZXb4z1V/lLNqSvgAnIg=;
 h=In-Reply-To:From:Date:References:To:Subject:Message-ID:Cc;
 b=hXRC5pwPkKDLxAwjRGfOf5SJkdJpFNGjlm+U5Enh3HtxSHFhQGKrUFdw8nX25agIE
 65l9fDldtCiv8dEJn3ocG/cDPdndOM3Y6c7vaj7512jSqR+sWREd9oJOTHvA8VK5+c
 nCU5o5hy2GaM+m7GSNjDvELNBashj4bGR0jj6PgY=
Authentication-Results: vla1-700fb1e46924.qloud-c.yandex.net;
 dkim=pass header.i=@yandex.ru
Received: by vla1-1bc5b51c612f.qloud-c.yandex.net (smtp/Yandex) with ESMTPSA
 id 92jhEUk1nN-ELLCH2MF; Tue, 11 May 2021 17:14:22 +0300
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits))
 (Client certificate not present)
Subject: Re: bug#48343: Cannot boot after installation
To: Bone Baboon <bone.baboon@HIDDEN>
References: <674973b5-c35e-5a4e-0f3f-de2f3b6e782d@HIDDEN>
 <87im3pfkjr.fsf@HIDDEN>
From: Sergey Petrov <sekk1e@HIDDEN>
Message-ID: <6042e78b-15ba-08d4-22e5-69290e8753c8@HIDDEN>
Date: Tue, 11 May 2021 21:14:21 +0700
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.8.1
MIME-Version: 1.0
In-Reply-To: <87im3pfkjr.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
Content-Language: en-US
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48343
X-Mailman-Approved-At: Tue, 11 May 2021 11:02:08 -0400
Cc: bug-guix@HIDDEN, 48343 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hm, I've added these lines to the etc/config.scm, tried to boot again 
and it doesn't seem to change anything...

On 5/11/21 8:48 PM, Bone Baboon wrote:
> Sergey Petrov writes:
>
>> Hi! I've installed ordinary guix system following graphical installer,
>> but can't boot it, here what I got after installation complete:
>>
>> GC Warning: pthread_getattr_pp or pthread_attr_getstack failed for
>> main thread GC Warning:
>> Couldn't read /proc/stat
>> Welcome, this is GMU's early boot Guile.
>> Use '--repl' for an initrd REPL.
>>
>> loading kernel modules...
>> /dev/nvme0n1p8: clean,
>> 134898/5169152 files, 1320485/20649216 blocks
>> loading '/gnu/store/519yr5adx95d26s3nu65mjOcc9731630-system/boot...
>> making '/gnu/store/519yr5adx95d26s3nu65mj0cc9731630-system' the
>> current system...
>> setting up setuid programs in '/run/setuid-programs'...
>> populating /etc from /gnu/store/d6k3c7p2s6ji0ix2g3lafx4iwOd43a98-etc...
>> error in finalization thread: Success
>> [   3.049660] udevd[272]: no sender credentials received, message ignored
>> [   3.098019] sp5100-tco sp5100-tco: Watchdog hardware is disabled
>> [   3.104103] Error: Driver 'pcspkr' is already registered, aborting...
>> [   3.180575] kvm: disabled by bios
>>
>> At this point computer hangs infinitely, and if I enable CPU
>> virtualization in BIOS it starts to hang at line "[   3.104103] Error:
>> Driver 'pcspkr' is already registered, aborting..."
> I ran into a similar issue with a computer I installed Guix on.  It
> would not complete the boot up process.  I am not sure if I was
> experiencing the same issue you are as I did not submit it to a Guix
> mailing list.  I got help solving it on #guix.  What worked for me was
> to add the Linux kernel argument `nomodeset` to my system configuration.
> In the operating system declaration of the system configuration I added:
>
> ```
>    (kernel-arguments
>     (append
>      (list "nomodeset")
>      %default-kernel-arguments))
> ```




Information forwarded to bug-guix@HIDDEN:
bug#48343; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 11 May 2021 15:02:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 11 11:02:11 2021
Received: from localhost ([127.0.0.1]:37108 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lgTti-0001I4-OC
	for submit <at> debbugs.gnu.org; Tue, 11 May 2021 11:02:11 -0400
Received: from lists.gnu.org ([209.51.188.17]:34168)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sekk1e@HIDDEN>) id 1lgT9j-0006Hs-TS
 for submit <at> debbugs.gnu.org; Tue, 11 May 2021 10:14:40 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:42570)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <sekk1e@HIDDEN>) id 1lgT9h-0001Yh-0z
 for bug-guix@HIDDEN; Tue, 11 May 2021 10:14:38 -0400
Received: from forward105p.mail.yandex.net
 ([2a02:6b8:0:1472:2741:0:8b7:108]:45193)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <sekk1e@HIDDEN>) id 1lgT9Y-0004Aq-Ce
 for bug-guix@HIDDEN; Tue, 11 May 2021 10:14:36 -0400
Received: from forward100q.mail.yandex.net (forward100q.mail.yandex.net
 [IPv6:2a02:6b8:c0e:4b:0:640:4012:bb97])
 by forward105p.mail.yandex.net (Yandex) with ESMTP id 399434D4008D;
 Tue, 11 May 2021 17:14:23 +0300 (MSK)
Received: from vla1-700fb1e46924.qloud-c.yandex.net
 (vla1-700fb1e46924.qloud-c.yandex.net
 [IPv6:2a02:6b8:c0d:1386:0:640:700f:b1e4])
 by forward100q.mail.yandex.net (Yandex) with ESMTP id 3441D7080004;
 Tue, 11 May 2021 17:14:23 +0300 (MSK)
Received: from vla1-1bc5b51c612f.qloud-c.yandex.net
 (vla1-1bc5b51c612f.qloud-c.yandex.net [2a02:6b8:c0d:89c:0:640:1bc5:b51c])
 by vla1-700fb1e46924.qloud-c.yandex.net (mxback/Yandex) with ESMTP id
 DAEVTm1lj1-EMI0h7Bc; Tue, 11 May 2021 17:14:23 +0300
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yandex.ru; s=mail;
 t=1620742463; bh=qr5sO7APWMldWe+HnTup/jEcZXb4z1V/lLNqSvgAnIg=;
 h=In-Reply-To:From:Date:References:To:Subject:Message-ID:Cc;
 b=hXRC5pwPkKDLxAwjRGfOf5SJkdJpFNGjlm+U5Enh3HtxSHFhQGKrUFdw8nX25agIE
 65l9fDldtCiv8dEJn3ocG/cDPdndOM3Y6c7vaj7512jSqR+sWREd9oJOTHvA8VK5+c
 nCU5o5hy2GaM+m7GSNjDvELNBashj4bGR0jj6PgY=
Authentication-Results: vla1-700fb1e46924.qloud-c.yandex.net;
 dkim=pass header.i=@yandex.ru
Received: by vla1-1bc5b51c612f.qloud-c.yandex.net (smtp/Yandex) with ESMTPSA
 id 92jhEUk1nN-ELLCH2MF; Tue, 11 May 2021 17:14:22 +0300
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits))
 (Client certificate not present)
Subject: Re: bug#48343: Cannot boot after installation
To: Bone Baboon <bone.baboon@HIDDEN>
References: <674973b5-c35e-5a4e-0f3f-de2f3b6e782d@HIDDEN>
 <87im3pfkjr.fsf@HIDDEN>
From: Sergey Petrov <sekk1e@HIDDEN>
Message-ID: <6042e78b-15ba-08d4-22e5-69290e8753c8@HIDDEN>
Date: Tue, 11 May 2021 21:14:21 +0700
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.8.1
MIME-Version: 1.0
In-Reply-To: <87im3pfkjr.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
Content-Language: en-US
Received-SPF: pass client-ip=2a02:6b8:0:1472:2741:0:8b7:108;
 envelope-from=sekk1e@HIDDEN; helo=forward105p.mail.yandex.net
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 NICE_REPLY_A=-0.001, RCVD_IN_DNSWL_LOW=-0.7, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 11 May 2021 11:02:08 -0400
Cc: bug-guix@HIDDEN, 48343 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Hm, I've added these lines to the etc/config.scm, tried to boot again 
and it doesn't seem to change anything...

On 5/11/21 8:48 PM, Bone Baboon wrote:
> Sergey Petrov writes:
>
>> Hi! I've installed ordinary guix system following graphical installer,
>> but can't boot it, here what I got after installation complete:
>>
>> GC Warning: pthread_getattr_pp or pthread_attr_getstack failed for
>> main thread GC Warning:
>> Couldn't read /proc/stat
>> Welcome, this is GMU's early boot Guile.
>> Use '--repl' for an initrd REPL.
>>
>> loading kernel modules...
>> /dev/nvme0n1p8: clean,
>> 134898/5169152 files, 1320485/20649216 blocks
>> loading '/gnu/store/519yr5adx95d26s3nu65mjOcc9731630-system/boot...
>> making '/gnu/store/519yr5adx95d26s3nu65mj0cc9731630-system' the
>> current system...
>> setting up setuid programs in '/run/setuid-programs'...
>> populating /etc from /gnu/store/d6k3c7p2s6ji0ix2g3lafx4iwOd43a98-etc...
>> error in finalization thread: Success
>> [   3.049660] udevd[272]: no sender credentials received, message ignored
>> [   3.098019] sp5100-tco sp5100-tco: Watchdog hardware is disabled
>> [   3.104103] Error: Driver 'pcspkr' is already registered, aborting...
>> [   3.180575] kvm: disabled by bios
>>
>> At this point computer hangs infinitely, and if I enable CPU
>> virtualization in BIOS it starts to hang at line "[   3.104103] Error:
>> Driver 'pcspkr' is already registered, aborting..."
> I ran into a similar issue with a computer I installed Guix on.  It
> would not complete the boot up process.  I am not sure if I was
> experiencing the same issue you are as I did not submit it to a Guix
> mailing list.  I got help solving it on #guix.  What worked for me was
> to add the Linux kernel argument `nomodeset` to my system configuration.
> In the operating system declaration of the system configuration I added:
>
> ```
>    (kernel-arguments
>     (append
>      (list "nomodeset")
>      %default-kernel-arguments))
> ```




Information forwarded to bug-guix@HIDDEN:
bug#48343; Package guix. Full text available.

Message received at 48343 <at> debbugs.gnu.org:


Received: (at 48343) by debbugs.gnu.org; 11 May 2021 13:50:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 11 09:50:26 2021
Received: from localhost ([127.0.0.1]:35472 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lgSmH-00037G-RO
	for submit <at> debbugs.gnu.org; Tue, 11 May 2021 09:50:26 -0400
Received: from knopi.disroot.org ([178.21.23.139]:57434)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bone.baboon@HIDDEN>) id 1lgSmF-000377-Sd
 for 48343 <at> debbugs.gnu.org; Tue, 11 May 2021 09:50:24 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 68F3053B1E;
 Tue, 11 May 2021 15:50:22 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id dbIwPIpKBAbQ; Tue, 11 May 2021 15:50:21 +0200 (CEST)
References: <674973b5-c35e-5a4e-0f3f-de2f3b6e782d@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1620741019; bh=/MzE3gLWL9L6LzzWUfAs+PMXxAnDqnD00NtbWdMqDSg=;
 h=References:From:To:Cc:Subject:In-reply-to:Date;
 b=e35vFKJeJUfZtyuDm92mLAezt1OPUmx8pn+rSAejRvppT0HjMMBeS0lapGTAxPVl7
 GsQrX7ZXap3AnPlO8H6t5oQfaNNGC9/SgsIYqbGVNSnBocdh/Mp4boKUA9uOew4+Ye
 iok06ybEC2UqkAKzBUZiCsjrDsRTan0fug5V7TdVJVoD1clygVBV61OqhsP7X8/nwP
 QQV/VewtLw4aRFItzQeJi9qm6poFAQ9rlsaWTK3R/vdJkfFHozzAC6ldPETfQc88LQ
 XUI0K8kFr+IYOtDPO/SadaOr7t7gBkk9W44/4d8kt8eJvfL3sabfbsseJTs6g3h0Qk
 VtrnC9I6GoxIA==
From: Bone Baboon <bone.baboon@HIDDEN>
To: Sergey Petrov <sekk1e@HIDDEN>
Subject: Re: bug#48343: Cannot boot after installation
In-reply-to: <674973b5-c35e-5a4e-0f3f-de2f3b6e782d@HIDDEN>
Date: Tue, 11 May 2021 09:48:40 -0400
Message-ID: <87im3pfkjr.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48343
Cc: bug-guix@HIDDEN, 48343 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Sergey Petrov writes:

> Hi! I've installed ordinary guix system following graphical installer,
> but can't boot it, here what I got after installation complete:
>
> GC Warning: pthread_getattr_pp or pthread_attr_getstack failed for
> main thread GC Warning:
> Couldn't read /proc/stat
> Welcome, this is GMU's early boot Guile.
> Use '--repl' for an initrd REPL.
>
> loading kernel modules...
> /dev/nvme0n1p8: clean,
> 134898/5169152 files, 1320485/20649216 blocks
> loading '/gnu/store/519yr5adx95d26s3nu65mjOcc9731630-system/boot...
> making '/gnu/store/519yr5adx95d26s3nu65mj0cc9731630-system' the
> current system...
> setting up setuid programs in '/run/setuid-programs'...
> populating /etc from /gnu/store/d6k3c7p2s6ji0ix2g3lafx4iwOd43a98-etc...
> error in finalization thread: Success
> [   3.049660] udevd[272]: no sender credentials received, message ignored
> [   3.098019] sp5100-tco sp5100-tco: Watchdog hardware is disabled
> [   3.104103] Error: Driver 'pcspkr' is already registered, aborting...
> [   3.180575] kvm: disabled by bios
>
> At this point computer hangs infinitely, and if I enable CPU
> virtualization in BIOS it starts to hang at line "[   3.104103] Error: 
> Driver 'pcspkr' is already registered, aborting..."

I ran into a similar issue with a computer I installed Guix on.  It
would not complete the boot up process.  I am not sure if I was
experiencing the same issue you are as I did not submit it to a Guix
mailing list.  I got help solving it on #guix.  What worked for me was
to add the Linux kernel argument `nomodeset` to my system configuration.
In the operating system declaration of the system configuration I added:

```
  (kernel-arguments
   (append
    (list "nomodeset")
    %default-kernel-arguments))
```




Information forwarded to bug-guix@HIDDEN:
bug#48343; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 11 May 2021 13:50:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 11 09:50:33 2021
Received: from localhost ([127.0.0.1]:35475 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lgSmP-00037a-34
	for submit <at> debbugs.gnu.org; Tue, 11 May 2021 09:50:33 -0400
Received: from lists.gnu.org ([209.51.188.17]:37256)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bone.baboon@HIDDEN>) id 1lgSmN-00037T-IN
 for submit <at> debbugs.gnu.org; Tue, 11 May 2021 09:50:32 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:35108)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <bone.baboon@HIDDEN>)
 id 1lgSmN-0006rz-8v
 for bug-guix@HIDDEN; Tue, 11 May 2021 09:50:31 -0400
Received: from knopi.disroot.org ([178.21.23.139]:38340)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <bone.baboon@HIDDEN>)
 id 1lgSmH-0005zP-75
 for bug-guix@HIDDEN; Tue, 11 May 2021 09:50:30 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 68F3053B1E;
 Tue, 11 May 2021 15:50:22 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id dbIwPIpKBAbQ; Tue, 11 May 2021 15:50:21 +0200 (CEST)
References: <674973b5-c35e-5a4e-0f3f-de2f3b6e782d@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1620741019; bh=/MzE3gLWL9L6LzzWUfAs+PMXxAnDqnD00NtbWdMqDSg=;
 h=References:From:To:Cc:Subject:In-reply-to:Date;
 b=e35vFKJeJUfZtyuDm92mLAezt1OPUmx8pn+rSAejRvppT0HjMMBeS0lapGTAxPVl7
 GsQrX7ZXap3AnPlO8H6t5oQfaNNGC9/SgsIYqbGVNSnBocdh/Mp4boKUA9uOew4+Ye
 iok06ybEC2UqkAKzBUZiCsjrDsRTan0fug5V7TdVJVoD1clygVBV61OqhsP7X8/nwP
 QQV/VewtLw4aRFItzQeJi9qm6poFAQ9rlsaWTK3R/vdJkfFHozzAC6ldPETfQc88LQ
 XUI0K8kFr+IYOtDPO/SadaOr7t7gBkk9W44/4d8kt8eJvfL3sabfbsseJTs6g3h0Qk
 VtrnC9I6GoxIA==
From: Bone Baboon <bone.baboon@HIDDEN>
To: Sergey Petrov <sekk1e@HIDDEN>
Subject: Re: bug#48343: Cannot boot after installation
In-reply-to: <674973b5-c35e-5a4e-0f3f-de2f3b6e782d@HIDDEN>
Date: Tue, 11 May 2021 09:48:40 -0400
Message-ID: <87im3pfkjr.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=178.21.23.139;
 envelope-from=bone.baboon@HIDDEN; helo=knopi.disroot.org
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: bug-guix@HIDDEN, 48343 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

Sergey Petrov writes:

> Hi! I've installed ordinary guix system following graphical installer,
> but can't boot it, here what I got after installation complete:
>
> GC Warning: pthread_getattr_pp or pthread_attr_getstack failed for
> main thread GC Warning:
> Couldn't read /proc/stat
> Welcome, this is GMU's early boot Guile.
> Use '--repl' for an initrd REPL.
>
> loading kernel modules...
> /dev/nvme0n1p8: clean,
> 134898/5169152 files, 1320485/20649216 blocks
> loading '/gnu/store/519yr5adx95d26s3nu65mjOcc9731630-system/boot...
> making '/gnu/store/519yr5adx95d26s3nu65mj0cc9731630-system' the
> current system...
> setting up setuid programs in '/run/setuid-programs'...
> populating /etc from /gnu/store/d6k3c7p2s6ji0ix2g3lafx4iwOd43a98-etc...
> error in finalization thread: Success
> [   3.049660] udevd[272]: no sender credentials received, message ignored
> [   3.098019] sp5100-tco sp5100-tco: Watchdog hardware is disabled
> [   3.104103] Error: Driver 'pcspkr' is already registered, aborting...
> [   3.180575] kvm: disabled by bios
>
> At this point computer hangs infinitely, and if I enable CPU
> virtualization in BIOS it starts to hang at line "[   3.104103] Error: 
> Driver 'pcspkr' is already registered, aborting..."

I ran into a similar issue with a computer I installed Guix on.  It
would not complete the boot up process.  I am not sure if I was
experiencing the same issue you are as I did not submit it to a Guix
mailing list.  I got help solving it on #guix.  What worked for me was
to add the Linux kernel argument `nomodeset` to my system configuration.
In the operating system declaration of the system configuration I added:

```
  (kernel-arguments
   (append
    (list "nomodeset")
    %default-kernel-arguments))
```




Information forwarded to bug-guix@HIDDEN:
bug#48343; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 11 May 2021 07:59:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 11 03:59:34 2021
Received: from localhost ([127.0.0.1]:34849 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lgNIj-0000tp-3d
	for submit <at> debbugs.gnu.org; Tue, 11 May 2021 03:59:34 -0400
Received: from lists.gnu.org ([209.51.188.17]:40284)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sekk1e@HIDDEN>) id 1lgM7J-0007IP-RZ
 for submit <at> debbugs.gnu.org; Tue, 11 May 2021 02:43:42 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:43728)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <sekk1e@HIDDEN>) id 1lgM7J-0004UR-Jk
 for bug-guix@HIDDEN; Tue, 11 May 2021 02:43:41 -0400
Received: from forward101o.mail.yandex.net ([2a02:6b8:0:1a2d::601]:48808)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <sekk1e@HIDDEN>) id 1lgM7F-0004V7-DV
 for bug-guix@HIDDEN; Tue, 11 May 2021 02:43:41 -0400
Received: from forward103q.mail.yandex.net (forward103q.mail.yandex.net
 [IPv6:2a02:6b8:c0e:50:0:640:b21c:d009])
 by forward101o.mail.yandex.net (Yandex) with ESMTP id 7935B3C017A3
 for <bug-guix@HIDDEN>; Tue, 11 May 2021 09:43:29 +0300 (MSK)
Received: from vla5-7c8bfce2718b.qloud-c.yandex.net
 (vla5-7c8bfce2718b.qloud-c.yandex.net
 [IPv6:2a02:6b8:c18:348f:0:640:7c8b:fce2])
 by forward103q.mail.yandex.net (Yandex) with ESMTP id 750D661E0005
 for <bug-guix@HIDDEN>; Tue, 11 May 2021 09:43:29 +0300 (MSK)
Received: from vla5-3832771863b8.qloud-c.yandex.net
 (vla5-3832771863b8.qloud-c.yandex.net [2a02:6b8:c18:3417:0:640:3832:7718])
 by vla5-7c8bfce2718b.qloud-c.yandex.net (mxback/Yandex) with ESMTP id
 1pYNNv8ywa-hTJumTrd; Tue, 11 May 2021 09:43:29 +0300
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yandex.ru; s=mail;
 t=1620715409; bh=YKzhnomhMu1G6vkWLJUy0+FJBK8swnRiDXqd8jjnVXg=;
 h=Subject:From:To:Message-ID:Date;
 b=NWRqpaFRqhBfqRj6fFhpSEOfOMyVEKZ0gBuuCCBvBSe9CQfaH2WZvUsDFAJZTnwC9
 NObrIKj1tMde5jVBFgQ1G4X3u1d2ZQ22KkrqpXTTLSN+psbYweF/QhKTOxZTFZkSh6
 5SlGDC+WT/DdIU9Excdyi7B6fbJveMQkvYkwWqC8=
Authentication-Results: vla5-7c8bfce2718b.qloud-c.yandex.net;
 dkim=pass header.i=@yandex.ru
Received: by vla5-3832771863b8.qloud-c.yandex.net (smtp/Yandex) with ESMTPSA
 id AM0zdBjmqs-hSMGnPMq; Tue, 11 May 2021 09:43:29 +0300
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits))
 (Client certificate not present)
To: bug-guix@HIDDEN
From: Sergey Petrov <sekk1e@HIDDEN>
Subject: Cannot boot after installation
Message-ID: <674973b5-c35e-5a4e-0f3f-de2f3b6e782d@HIDDEN>
Date: Tue, 11 May 2021 13:43:28 +0700
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.8.1
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 8bit
Content-Language: en-US
Received-SPF: pass client-ip=2a02:6b8:0:1a2d::601;
 envelope-from=sekk1e@HIDDEN; helo=forward101o.mail.yandex.net
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_LOW=-0.7, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 11 May 2021 03:59:32 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Hi! I've installed ordinary guix system following graphical installer, 
but can't boot it, here what I got after installation complete:

GC Warning: pthread_getattr_pp or pthread_attr_getstack failed for main 
thread GC Warning:
Couldn't read /proc/stat
Welcome, this is GMU's early boot Guile.
Use '--repl' for an initrd REPL.

loading kernel modules...
/dev/nvme0n1p8: clean,
134898/5169152 files, 1320485/20649216 blocks
loading '/gnu/store/519yr5adx95d26s3nu65mjOcc9731630-system/boot...
making '/gnu/store/519yr5adx95d26s3nu65mj0cc9731630-system' the current 
system...
setting up setuid programs in '/run/setuid-programs'...
populating /etc from /gnu/store/d6k3c7p2s6ji0ix2g3lafx4iwOd43a98-etc...
error in finalization thread: Success
[   3.049660] udevd[272]: no sender credentials received, message ignored
[   3.098019] sp5100-tco sp5100-tco: Watchdog hardware is disabled
[   3.104103] Error: Driver 'pcspkr' is already registered, aborting...
[   3.180575] kvm: disabled by bios

At this point computer hangs infinitely, and if I enable CPU 
virtualization in BIOS it starts to hang at line "[   3.104103] Error: 
Driver 'pcspkr' is already registered, aborting..."





Acknowledgement sent to Sergey Petrov <sekk1e@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#48343; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 12 May 2021 17:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.